Bug 1485745 - /etc/letsencrypt and /var/lib/letsencrypt created with permissions 000 after fresh installation
Summary: /etc/letsencrypt and /var/lib/letsencrypt created with permissions 000 after ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: certbot
Version: epel7
Hardware: All
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Eli Young
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-08-27 23:16 UTC by Robert Scheck
Modified: 2018-08-30 03:52 UTC (History)
7 users (show)

Fixed In Version: certbot-0.26.1-2.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-08-22 11:52:22 UTC
Type: Bug


Attachments (Terms of Use)

Description Robert Scheck 2017-08-27 23:16:57 UTC
Description of problem:
Performing a fresh installation of certbot leads to yum errors during the
package installation and also having the directories /etc/letsencrypt and
/var/lib/letsencrypt created with permissions 000 ("d---------") makes the
whole certbot quite useless. The only way to get rid of this is to apply
proper permissions manually.

Version-Release number of selected component (if applicable):
certbot-0.14.1-3.el7

How reproducible:
Everytime, see above.

Actual results:
Directory permissions 000 for /etc/letsencrypt and /var/lib/letsencrypt

Expected results:
Proper directory permissions for /etc/letsencrypt and /var/lib/letsencrypt

Comment 1 Fedora Update System 2018-08-20 19:36:27 UTC
certbot-0.26.1-2.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-9498594427

Comment 2 Fedora Update System 2018-08-20 19:37:55 UTC
certbot-0.26.1-2.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-d057ee6711

Comment 3 Fedora Update System 2018-08-20 19:38:50 UTC
certbot-0.26.1-2.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-5bb1279cc5

Comment 4 Fedora Update System 2018-08-22 00:33:29 UTC
certbot-0.26.1-2.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-5bb1279cc5

Comment 5 Fedora Update System 2018-08-22 02:04:12 UTC
certbot-0.26.1-2.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-9498594427

Comment 6 Fedora Update System 2018-08-22 03:13:10 UTC
certbot-0.26.1-2.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-d057ee6711

Comment 7 Fedora Update System 2018-08-22 11:52:22 UTC
certbot-0.26.1-2.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2018-08-23 10:33:48 UTC
certbot-0.26.1-2.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2018-08-30 03:52:22 UTC
certbot-0.26.1-2.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.